org.gnome.sourceview

## Class StyleScheme

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.sourceview.StyleScheme

-     public class StyleScheme
      extends Object

  StyleScheme contains all the text styles to be used in `SourceView` and `SourceBuffer`. For instance, it contains text styles for syntax highlighting, it may contain foreground and background color for non-highlighted text, color for the line numbers, etc. used.
  Since:
    4.1.2
  Author:
    Georgios Migdos

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getAuthors()` Return a String array containing information about this scheme's authors or `null` if no author is specified by the style scheme.
    `String` | `getDescription()` Return this StyleScheme's description.
    `String` | `getFilename()` Return a file name if the scheme was created parsing a style scheme file or `null`.
    `String` | `getID()` Return this StyleScheme's unique identifier.
    `String` | `getName()` Return this StyleScheme's name (e.g. what would be presented in a preferences dialog).
    `Style` | `getStyle(String styleID)` Return the `Style` which corresponds to styleID in the scheme, or `null` when no style with this name exists.

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getAuthors

          public String[] getAuthors()

      Return a String array containing information about this scheme's authors or `null` if no author is specified by the style scheme.
      Since:
        4.1.2

    - #### getDescription

          public String getDescription()

      Return this StyleScheme's description.
      Since:
        4.1.2

    - #### getFilename

          public String getFilename()

      Return a file name if the scheme was created parsing a style scheme file or `null`.
      Since:
        4.1.2

    - #### getID

          public String getID()

      Return this StyleScheme's unique identifier.
      Since:
        4.1.2

    - #### getName

          public String getName()

      Return this StyleScheme's name (e.g. what would be presented in a preferences dialog).
      Since:
        4.1.2

    - #### getStyle

          public Style getStyle(String styleID)

      Return the `Style` which corresponds to styleID in the scheme, or `null` when no style with this name exists.
      Since:
        4.1.2